database_api.list_votes
Purpose
Gibt alle Stimmen zurück, beginnend mit dem angegebenen Wähler und/oder Autor mit Permlink. Parameter: start:array; limit:int; order:string
starthängt vonorderab (siehe unten)voterist optionalauthorundpermlinksind optional, aber wenn einer leer ist, müssen beide leer sein
limit- bis zu 1000.orderkann einer der folgenden sein:by_comment_voter- Ordnung nach Kommentar-Wählerstartist ein Array aus drei optionalen Werten:author,permlink,voter
by_voter_comment- Ordnung nach Wähler und Kommentarstartist ein Array aus drei optionalen Werten:voter,author,permlink
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", "", ""] | 10 | "by_comment_voter" | Abfrage der ersten 10 Stimmen, sortiert nach Kommentar-Wähler | | ["", "", ""] | 10 | "by_voter_comment" | Abfrage der ersten 10 Stimmen, sortiert nach Wähler und Kommentar | | ["xeroc", "vanteem-config", ""] | 10 | "by_comment_voter" | Abfrage der nächsten 10 Stimmen ab dem Beitrag @xeroc/vanteem-config, sortiert nach Kommentar-Wähler | | ["alice", "xeroc", "vanteem-config"] | 10 | "by_voter_comment" | Abfrage der nächsten 10 Stimmen ab alice beim Beitrag @xeroc/vanteem-config, sortiert nach Wähler und Kommentar |
Siehe auch: Paginated API Methods
Parameters
{
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_comment_voter"
}Example
Example 1
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_comment_voter"
},
"id": 1
}'Example 2
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
""
],
"limit": 10,
"order": "by_voter_comment"
},
"id": 1
}'Example 3
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"",
"",
"steemit"
],
"limit": 10,
"order": "by_comment_voter"
},
"id": 1
}'Example 4
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_votes",
"params": {
"start": [
"alice",
"xeroc",
"vanteem-config"
],
"limit": 10,
"order": "by_voter_comment"
},
"id": 1
}'Response
{
"votes": [
{
"id": 9,
"voter": "dantheman",
"author": "steemit",
"permlink": "firstpost",
"weight": "32866333630",
"rshares": 375241,
"vote_percent": 100,
"last_update": "2016-04-07T19:15:36",
"num_changes": -1
}
]
}